Subject: Re: [RFC net-next 0/6] devlink: add device (driver) information API

From: Andrew Lunn <[email-masked]>
Date: Tue, 15 Jan 2019 02:57:55 +0100

> I think the plan was to use this opportunity to move the information
> which belongs in devlink to devlink.  There is absolutely nothing
> netdev specific here, and ethtool uses a netdev as a handle.  We can
> have the new ethtool command just issue a devlink request behind the
> scenes if we care.

Hi Jakub

Using that argument, you should probably make the devlink core call
the ethtool .get_drvinfo op if the device does not implement the
devlink op.

    Andrew